FilterPresenter (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.gui.event
Interface FilterPresenter

All Known Subinterfaces:
  EventPresenter, MacroFilter

All Known Implementing Classes:
  AbstractEventPresenter, EventListPresenter

    public interface FilterPresenter

Author:
  dietrick

Field Summary
`static java.lang.String` | `FILTER_STATE`

Method Summary
`void` | `addPropertyChangeListener(java.beans.PropertyChangeListener pcl)`
`java.util.List` | `getActiveFilters()`
`javax.swing.JPanel` | `getFilterPanel()`
`java.util.Hashtable` | `getFilters()`
`java.lang.String` | `getName()`
`void` | `removePropertyChangeListener(java.beans.PropertyChangeListener pcl)`
`void` | `resetFilters(java.lang.Boolean on_off)` Master control for turning all filters on or off.

Field Detail

### FILTER_STATE

    static final java.lang.String FILTER_STATE

See Also:
  Constant Field Values

Method Detail

### getName

    java.lang.String getName()

  Returns:
    the pretty name for the presenter, for the GUI.

### getFilterPanel

    javax.swing.JPanel getFilterPanel()

  Returns:
    the JPanel containing filter controls for this display.

### getFilters

    java.util.Hashtable getFilters()

  Returns:
    a hashtable of filters that can be used for this display. The keys are the Strings for the filters, the values are Booleans indicating whether events of the key type are on or off.

### getActiveFilters

    java.util.List getActiveFilters()

  Returns:
    the list of strings for things that should be shown.

### resetFilters

    void resetFilters(java.lang.Boolean on_off)

  Master control for turning all filters on or off.

### addPropertyChangeListener

    void addPropertyChangeListener(java.beans.PropertyChangeListener pcl)

### removePropertyChangeListener

    void removePropertyChangeListener(java.beans.PropertyChangeListener pcl)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details